stages:
  - steve
  - build_webservice
#  - test_maxima

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  REGISTRY: "172.30.190.249:5000"

# gitlab ci script taken from https://gist.github.com/danielneis/5c6140ec8150c6151a54bccd26950278

steve_jobs:
  stage: steve
  image: golang
  tags:
    - docker
  script:
    - go get github.com/prometheus/client_golang/prometheus
    - go get github.com/prometheus/client_golang/prometheus/promhttp
    - cd src/web
    - GOBIN=${CI_PROJECT_DIR}/bin go install
  only:
   changes:
     - src/web/**
     
  artifacts:
    paths:
    - bin/web
    expire_in: 1 week

build_webservice:
  image: "docker:latest"
  stage: build_webservice
  tags:
    - docker
  script:
    - ./build.sh ${REGISTRY}

#test_maxima:
#  image: "$REGISTRY/moodle-ci-stack"
#  stage: test_maxima
#  services:
#  - postgres:latest
#  variables:
#    MOODLE_BRANCH: "MOODLE_37_STABLE"
#    QSTACK_VERSION: "v4.3.2"
#    DB: "pgsql"
#    POSTGRES_USER: "postgres"
#    POSTGRES_PASSWORD: ""
#    POSTGRES_HOST_AUTH_METHOD: "trust"
#    TRAVIS_BUILD_DIR: "$CI_PROJECT_DIR"
#  tags:
#    - docker
#  script:
#    - bash testimage.sh
